Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Pango::AttrLanguage Class Reference

A PangoAttrLanguage C++ wrapper class. More...

`#include <xfc/pango/attributes.hh>`

Inheritance diagram for Xfc::Pango::AttrLanguage:

List of all members.

## Public Member Functions

Constructors

- AttrLanguage (PangoLanguage *language)
    Construct a new language tag attribute.

Accessors

- PangoAttrLanguage * pango_attr_language () const
    Get a pointer to the PangoAttrLanguage structure.
- PangoLanguage * get_language () const
    Returns the language tag.

Methods

- void set_language (PangoLanguage *language)
    Sets the language.

## Detailed Description

A PangoAttrLanguage C++ wrapper class.

AttrLanguage wraps the language attribute (ATTR_LANGUAGE).

## Constructor & Destructor Documentation

Xfc::Pango::AttrLanguage::AttrLanguage | ( | PangoLanguage * | language | ) | `[explicit]`

Construct a new language tag attribute.

Parameters:

  | language | The language tag.

## Member Function Documentation

void Xfc::Pango::AttrLanguage::set_language | ( | PangoLanguage * | language | ) |

Sets the language.

Parameters:

  | language | The language tag.

The documentation for this class was generated from the following file:

- attributes.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3